New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
History

Save generation to history

POST
/api/v1/history

Persist a generation result (audio + metadata) to the history library.

Request Body

application/json
  1. body
audio_base64*Audio Base64

Base64-encoded audio (WAV)

target_text*Target Text

Text that was generated

mode*Mode

Generation mode: 'clone', 'design', or 'tts'

extra_metadata?|

Additional metadata

Response Body

Successful Response

application/json
  1. response
success*Success

Whether the history item was saved successfully

item?|

Saved history item metadata

message?|

Error message if save failed

Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/history' \  -H 'Content-Type: application/json' \  -d '{  "audio_base64": "UklGRi4AAABXQVZFZm10IBAAAA...",  "target_text": "Welcome to our application.",  "mode": "clone"}'
Example Response
{  "success": true,  "item": {    "id": "h1b2c3d4",    "text": "Welcome to our...",    "full_text": "Welcome to our application.",    "mode": "clone",    "created_at": "2026-01-15T10:30:00Z",    "duration_seconds": 3.2,    "file_size": 102400,    "ref_text": "string",    "voice_id": "string",    "voice_name": "string",    "instruct_text": "string",    "design_id": "string",    "design_name": "string",    "speaker": "string",    "speaker_name": "string"  },  "message": "string"}